import { StyleSheet, Text, TouchableOpacity, View, ScrollView } from 'react-native'
import React, { useState } from 'react'
import Header from '../components/atoms/Header'
import { List, ToggleButton } from 'react-native-paper'
import colors from '../theme/colors'
import fonts from '../theme/fonts'
import ImageBGCard from '../components/organisms/Cards/ImageBGCard'
import FilledPill from '../components/organisms/Pills/FilledPill'
import CategorySection from '../components/organisms/Sections/CategorySection'
import images from '../assets/images/images'
import RecentNewsSection from '../components/organisms/Sections/RecentNewsSection'
import RecentPostsSection from '../components/organisms/Sections/RecentPostsSection'

const LandingPage = () => {

  
  const [categoryPillState, setcategoryPillState] = useState("all")
  return (
    <View>
      <ScrollView showsHorizontalScrollIndicator={false}>
        {/* 
            Recent News
        */}
        <RecentNewsSection/>
        
        {/* 
          Categories
        */}
        <CategorySection/>
        {/* 
          Recent Posts
        */}
        <RecentPostsSection/>
      </ScrollView>
    </View>
  )
}

export default LandingPage

const styles = StyleSheet.create({
  
  
})