import { StyleSheet, Image, View } from 'react-native'
import React from 'react'
import images from '../../assets/images/images'

const NewscoutLogo = ({style}) => {
  return (
    <View>
      <Image source={images.newscout_light} style={[styles.image,style]}/>
    </View>
  )
}

export default NewscoutLogo

const styles = StyleSheet.create({
    image:{
        height:32,
        width:32
    }
})