import { StyleSheet, Text, View } from 'react-native'
import React from 'react'
import { IconButton } from 'react-native-paper'
import colors from '../../../theme/colors'
import fonts from '../../../theme/fonts'

const BookmarkButton = ({ size, onPress}) => {
    return (
        <IconButton
            icon='bookmark-outline'
            iconColor={colors.topColor}
            size={size ?? fonts.getSize(24)}
            onPress={onPress}
        />
    )
}

export default BookmarkButton

// const styles = StyleSheet.create({})