import { StyleSheet, Text, View } from 'react-native'
import React from 'react'
import colors from '../theme/colors'
import Button from '../components/atoms/Button'

const LoginPage = ({navigation}) => {

    const homePageNavigation = () => {
        navigation.navigate('Home')
    }

    return (
        <View style={[styles.container, {}]}>
            <Text>LoginPage</Text>
            <Button
                onPress={homePageNavigation}
                style={styles.button}
            >
                <Text style={styles.buttonStyle}>
                    Home Page
                </Text>
            </Button>
        </View>
    )
}

export default LoginPage

const styles = StyleSheet.create({
    container: {
        backgroundColor: colors.primaryColor_5,
        flex: 1,
        alignItems: 'center',
        justifyContent: 'center'
    },
    button:{
        backgroundColor: colors.primaryColor_4
    },
    buttonStyle:{
        fontFamily: 'monospace'
    }

})