import Metrics from  './metrics'

// Use for non-constant count values
let getSize = (count) => Metrics.screenWidth * (count / 365)

const size = {
    font4: getSize(4),
    font6: getSize(6)
}

const weight = {
    full: '900',
    semi: '600',
    low: '400',
    bold: 'bold',
    normal: 'normal'
}

const type = {
    black: "Poppins-Black",
    black_italic:"Poppins-BlackItalic",
    bold:"Poppins-Bold",
    bold_italic: "Poppins-BoldItalic",
    extra_bold: "Poppins-ExtraBold",
    extra_bold_italic: "Poppins-ExtraBoldItalic",
    extra_light: "Poppins-ExtraLight",
    extra_LightItalic: "Poppins-ExtraLightItalic",
    italic: "Poppins-Italic",
    light: "Poppins-Light",
    light_italic: "Poppins-LightItalic",
    medium: "Poppins-Medium",
    medium_italic: "Poppins-MediumItalic",
    regular: "Poppins-Regular",
    semibold: 'Poppins-SemiBold',
    semibold_italic: "Poppins-SemiBoldItalic",
    thin: "Poppins-Thin",
    thin_italic: "Poppins-ThinItalic"
}

export default {
    size,
    weight,
    type,
    getSize
}